### Method

# FwupdPlugin IOChannel read_byte_array

#### Declaration [src]

    GByteArray*
    fu_io_channel_read_byte_array (
      FuIOChannel* self,
      gssize count,
      guint timeout_ms,
      FuIOChannelFlags flags,
      GError** error
    )

#### Description [src]

Reads bytes from the TTY, that will fail if exceeding `timeout_ms`.

Available since: | 1.3.2

#### Parameters

`count` | `gssize`
| Number of bytes to read, or -1 for no limit.
`timeout_ms` | `guint`
| Timeout in ms.
`flags` | `FuIOChannelFlags`
| Channel flags, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guint8`
| A `GByteArray` (which may be bigger than `count`), or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.